/**
 * XActMoodOrdPrmsEvn.java
 *
 * File generated from the medication::XActMoodOrdPrmsEvn uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration XActMoodOrdPrmsEvn.
 *
 * 
 */

@XmlType(name = "XActMoodOrdPrmsEvn")
@XmlEnum
@XmlRootElement(name = "XActMoodOrdPrmsEvn")
public enum XActMoodOrdPrmsEvn {
	@XmlEnumValue("EVN")
	EVN("EVN"),
	@XmlEnumValue("PRMS")
	PRMS("PRMS"),
	@XmlEnumValue("RQO")
	RQO("RQO");
	
	private final String value;

    XActMoodOrdPrmsEvn(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static XActMoodOrdPrmsEvn fromValue(String v) {
        for (XActMoodOrdPrmsEvn c: XActMoodOrdPrmsEvn.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}